Subject: Re: [netmod] Alvaro Retana's No Objection on draft-ietf-netmod-module-tags-07: (with COMMENT)

From: Christian Hopps <[email-masked]>
Date: Fri, 3 May 2019 14:48:31 -0400

> On Apr 11, 2019, at 9:30 AM, Alvaro Retana via Datatracker <[email-masked]> wrote:
> 
> Alvaro Retana has entered the following ballot position for
> draft-ietf-netmod-module-tags-07: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-netmod-module-tags/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> (1) Along the same lines of Alissa's DISCUSS, which I support.
> 
> §6.1: "For standardized modules new tags MUST be assigned in the IANA registry
> defined below, see Section 7.2."  What is a "standardized module"?  It sounds
> like a Standards Track document, but (as Alissa pointed out) the registration
> policy is only IETF Review.

In addressing the other DISCUSS/COMMENTs almost all (but not all) use of the word "standard tag"/"standardized tag" has switched to some variant of "registered tag". That said, the intention here is what you read: it's saying if you are defining a module in a standard's track document then any new tags you create MUST be added to the IANA registry. This doesn't contradict the IANA registry policy of IETF review (i.e., it's not talking about or trying to constrain the registration policy). Consider a case of a info doc that is documenting some odd or misuse of tags, we don't want to require that this doc register the "odd" or misused case in the registry -- it could, but it's not required.

> 
> (2) §7.1: "All YANG module tags SHOULD begin with one of the prefixes in this
> registry."  That statement along with the text in §2.4:
> 
>   Any tag not starting with the prefix "ietf:", "vendor:" or "user:" is
>   reserved for future standardization.  These tag values are not
>   invalid, but simply reserved in the context of standardization.
> 
> ...seem to indicate that a tag with any format can be used.  Is that true?  Is
> that the intent?  If so, then it seems to me that vendor/user tags could simply
> forgo the standardized prefix.  I guess this is ok...it just makes me wonder
> about the need to even define those prefixes.

The document goes to some length to make sure that users can do whatever they want as they should be the final arbiter (that philosophy). The need for the standard prefixes is to provide a stable framework so that if users choose to follow the prefix rules (i.e., use "user:") then they won't get stepped on by upstream (design and vendor) uses.

> (3) I'm not sure what, but I think it may be wise to give the would-be DEs for
> the new registry in §7.1 some more guidance on the allocation of new prefixes.
> The only current guidance is this: "Prefix entries in this registry should be
> short strings consisting of lowercase ASCII alpha-numeric characters and a
> final ":" character."

The expected use case (and thus the "guidance"):

"
   Other standards organizations (SDOs) wishing to allocate their own
   set of tags should allocate a prefix from this registry.
"

Perhaps you think this needs wordsmithing though?

Thanks,
Chris.